import math
from pathlib import Path

import axipy
from axipy import Attribute, provider_manager, LinearUnits

from PiketPoints.ui.addTools.helperTab import OutTabPiket, prepareTabSource
from PiketPoints.ui.addTools.helperUnit import factoryDistance

path_source=r"E:\Support\AxiomaSupport\Pikets\10.tab"
path_source=r"E:\Support\AxiomaSupport\Pikets\11.tab"
path_out=r"E:\Support\AxiomaSupport\Pikets\11_test_piket.tab"
if Path(path_out).exists():
    provider_manager.tab.remove_table_files(path_out)
tab_source=provider_manager.openfile(path_source)
tab_liner,all_distance_m=prepareTabSource(tab_source,True)
distance_all = factoryDistance(all_distance_m, "m")
step_val=100
step = factoryDistance(step_val, "m")
prefix="ПК_"
att_parentkey_key= Attribute.integer('id_записи')
att_parentkey={"parent":None,"out_att":att_parentkey_key}
add_propertyes={'add_node_in_piket': True, 'add_piket_in_source': False, 'style': 'Symbol (50, 16711680, 17, "Map Symbols", 1, 0)'}
csl_piket = OutTabPiket(tab_liner, path_out, distance_all, step, prefix, att_parentkey,add_propertyes)

csl_piket.run(tab_source.coordsystem)